#ifndef _RASTER_CONVERTER_H
#define _RASTER_CONVERTER_H

typedef enum tagColorFmt{
    Black_1_BPP = 0,
    RGB_24_BPP = 1,
}ColorFmt;

typedef struct tagRasterBlock{
    unsigned char*  data;           /*raster block data pointer*/
    int             data_bytes;     /*raster block data size*/
    int             x;              /*raster block start point's X*/
    int             y;              /*raster block start point's Y*/
    int             rows;           /*raster block height*/
    int             cols;           /*raster block width*/
    ColorFmt        color_fmt;      /*raster block color format and order*/
}RasterBlock;

int convert_raster_block(cups_raster_t* ras, cups_page_header2_t* header,
        ColorFmt color_fmt, bool horizontal, bool interlacing,
        int lines_of_block, int parts_of_block,
        RasterBlock** raster_block, int* raster_block_count);

int convert_raster_block_pclxl(cups_raster_t* ras,
        cups_page_header2_t* header, RasterBlock** raster_block,
        int* raster_block_count);

#endif

